Type2CharString
Date: 2017-05-25

org.apache.fontbox.cff

## Class Type2CharString

- java.lang.Object
- - org.apache.fontbox.cff.Type1CharString
  - - org.apache.fontbox.cff.Type2CharString

- Direct Known Subclasses:
    CIDKeyedType2CharString

      public class Type2CharString
      extends Type1CharString

  Represents a Type 2 CharString by converting it into an equivalent Type 1 CharString.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fontbox.cff.Type1CharString

      `commandCount, type1Sequence`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Type2CharString(Type1CharStringReader font, java.lang.String fontName, java.lang.String glyphName, int gid, java.util.List<java.lang.Object> sequence, int defaultWidthX, int nomWidthX)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGID()` Return the GID (glyph id) of this charstring.
    `java.util.List<java.lang.Object>` | `getType2Sequence()` Returns the Type 2 charstring sequence.

    - ### Methods inherited from class org.apache.fontbox.cff.Type1CharString

      `getBounds, getName, getPath, getType1Sequence, getWidth, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Type2CharString

          public Type2CharString(Type1CharStringReader font,
                         java.lang.String fontName,
                         java.lang.String glyphName,
                         int gid,
                         java.util.List<java.lang.Object> sequence,
                         int defaultWidthX,
                         int nomWidthX)

      Constructor.
      Parameters:
        `font` - Parent CFF font
        `fontName` - font name
        `glyphName` - glyph name (or CID as hex string)
        `gid` - GID
        `sequence` - Type 2 char string sequence
        `defaultWidthX` - default width
        `nomWidthX` - nominal width

  - ### Method Detail

    - #### getGID

          public int getGID()

      Return the GID (glyph id) of this charstring.

    - #### getType2Sequence

          public java.util.List<java.lang.Object> getType2Sequence()

      Returns the Type 2 charstring sequence.